Subject: bug#24056: closed (Re: bug#24056: `DATA and 'DATA look the same in Guile INFO in emacs on tty & X11)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Mar 2017 08:44:01 +0000

Your bug report

#24056: `DATA and 'DATA look the same in Guile INFO in emacs on tty & X11

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24056: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24056
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24056: `DATA and 'DATA look the same in Guile INFO in emacs on tty & X11
From: Andy Wingo <[email-masked]>
To: myglc2 <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 09:43:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 22 Jul 2016 22:09, myglc2 <[email-masked]> writes:

> Hello Guile,
>
> You probably already know this, but, when viewing the Guile INFO on
> emacs in tty or X11, the "Expression Syntax" part of the manual reads:
>
> [...]
> (quote DATA)
> ’DATA
> [...]
> (quasiquote DATA)
> ‘DATA
> [...]
>
> That is, the 'DATA and `DATA examples are both typeset with single
> quote.

I didn't know this!  A tricky little thing to fix but I think I have
it.  Thanks for the report :)

Andy

Subject: `DATA and 'DATA look the same in Guile INFO in emacs on tty & X11
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Fri, 22 Jul 2016 16:09:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guile,

You probably already know this, but, when viewing the Guile INFO on
emacs in tty or X11, the "Expression Syntax" part of the manual reads:

[...]
(quote DATA)
’DATA
[...]
(quasiquote DATA)
‘DATA
[...]

That is, the 'DATA and `DATA examples are both typeset with single
quote.

Upshot: One looks at things that are identical when one first reads how
they differ and wonders if one is going blind ;-)

I guess this is a problem with how @itemx handles backquote on these
platforms because the ./ref/api-evaluation.texi has a backquote ...

@itemx `@var{data}

... and is correctly typeset in the HTML doc.

Anyway, maybe the 'DATA & `DATA examples could be marked up differently
to overcome this?